Skip to main content
POST
Go (SDK)

Authorizations

Authorization
string
header
required

Send Authorization: Bearer , using an MKA1 API key for automation or an OAuth API access token for a signed-in application. Use a dynamic security callback to refresh OAuth access tokens. Browser session-only operations still require their declared cookie.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Body

application/json
name
string
required

Human-readable prompt name

Required string length: 1 - 255
template
string
required

The prompt template text with {{variable}} placeholders

Required string length: 1 - 100000
description
string

Detailed description of the prompt

Maximum string length: 2000
metadata
object

Custom metadata key-value pairs

Response

201 - application/json

OK

id
string
required

Unique prompt identifier

object
any
required

Object type

name
string
required

Human-readable prompt name

active_version
integer
required

Currently active version number

Required range: -9007199254740991 <= x <= 9007199254740991
latest_version
integer
required

Most recent version number

Required range: -9007199254740991 <= x <= 9007199254740991
metadata
object
required

Custom metadata key-value pairs

created_at
string<date-time>
required

Timestamp when the prompt was created

updated_at
string<date-time>
required

Timestamp when the prompt was last updated

version
object
required

The initial version created with this prompt

description
string

Detailed description of the prompt